For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schedules

Schedule your xRunBooks via our API

List all Schedules

Example:

curl  'https://<your domain>/v1alpha1/schedules?pageSize=1&pageToken=1' \
      -H "X-unSkript-API-Key:>token>"

List schedules

get

List schedules

Query parameters
reqHdr.tidstringOptional

tid is the unique request id.

filterstringOptional

filter expression.

pageSizeinteger · int32Optional

page_size specifies the maximum number of results to be returned.

pageTokenstringOptional

page_token is used to request a specific page of the list results.

orderBystringOptional

order_by is used to sort the fields by ascending or descending.

Responses
200

A successful response.

application/json

ListScheduleResponse is the response to ListScheduleRequest.

nextPageTokenstringOptional

next_page_token represents the pagination token to retrieve the next page of results. If the value is "", it means no further results for the request.

pageCountinteger · int32Optional

page_count is the number of pages.

totalCountinteger · int32Optional

total_count is the total number of schedules.

get/v1alpha1/schedules
GET /v1alpha1/schedules HTTP/1.1
Accept: */*
{
  "respHdr": {
    "tid": "text",
    "requestTid": "text"
  },
  "schedules": [
    {
      "id": "text",
      "proxyId": "text",
      "proxyName": "text",
      "runbookId": "text",
      "runbookName": "text",
      "inputSchema": "text",
      "params": "text",
      "schedule": "text",
      "lastRun": "2026-01-01T00:00:00.000Z",
      "lastUpdated": "2026-01-01T00:00:00.000Z",
      "userEmail": "text"
    }
  ],
  "nextPageToken": "text",
  "pageCount": 1,
  "totalCount": 1
}

Create a Schedule

This schedules "unSkript Rules" to run at 5 AM (GMT) every day:

Create a Schedule

post

Creates and returns a Schedule object on Success and error on failure

Body

CreateScheduleRequest is the request to create new schedual for particular xRunbook.

Responses
200

A successful response.

application/json

CreateScheduleResponse is the response to the CreateScheduleRequest.

post/v1alpha1/schedules
POST /v1alpha1/schedules HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 150

{
  "reqHdr": {
    "tid": "text"
  },
  "schedule": {
    "proxyId": "text",
    "runbookId": "text",
    "runbookName": "text",
    "inputSchema": "text",
    "params": "text",
    "schedule": "text"
  }
}
{
  "respHdr": {
    "tid": "text",
    "requestTid": "text"
  },
  "schedule": {
    "id": "text",
    "proxyId": "text",
    "proxyName": "text",
    "runbookId": "text",
    "runbookName": "text",
    "inputSchema": "text",
    "params": "text",
    "schedule": "text",
    "lastRun": "2026-01-01T00:00:00.000Z",
    "lastUpdated": "2026-01-01T00:00:00.000Z",
    "userEmail": "text"
  }
}

Get a Specific Schedule's details

Get schedule details

get

Get details about a particular schedule

Path parameters
scheduleIdstringRequired

schedule_id is the id of the schedule.

Query parameters
reqHdr.tidstringOptional

tid is the unique request id.

Responses
200

A successful response.

application/json

GetScheduleResponse is the response to the GetScheduleRequest.

get/v1alpha1/schedules/{scheduleId}
GET /v1alpha1/schedules/{scheduleId} HTTP/1.1
Accept: */*
{
  "respHdr": {
    "tid": "text",
    "requestTid": "text"
  },
  "schedule": {
    "id": "text",
    "proxyId": "text",
    "proxyName": "text",
    "runbookId": "text",
    "runbookName": "text",
    "inputSchema": "text",
    "params": "text",
    "schedule": "text",
    "lastRun": "2026-01-01T00:00:00.000Z",
    "lastUpdated": "2026-01-01T00:00:00.000Z",
    "userEmail": "text"
  }
}

Delete a schedule

Delete a Schedule

delete

Deletes a particular schedule

Path parameters
scheduleIdstringRequired

schedule_id is the id of the schedule.

Query parameters
reqHdr.tidstringOptional

tid is the unique request id.

Responses
200

A successful response.

application/json

DeleteScheduleResponse is the response to the DeleteScheduleRequest.

delete/v1alpha1/schedules/{scheduleId}
DELETE /v1alpha1/schedules/{scheduleId} HTTP/1.1
Accept: */*
{
  "respHdr": {
    "tid": "text",
    "requestTid": "text"
  }
}

Update a Schedule

Update a Schedule

patch

Update certain fields of a schedule.

Path parameters
scheduleIdstringRequired

schedule_id is the id of schedule.

Query parameters
reqHdr.tidstringOptional

tid is the unique request id.

Body

Schedule contains basic details about a schedule.

idstringRead-onlyOptional

id is the id of the schedule.

proxyIdstringOptional

proxy_id is the id of the proxy under which the schedule should be created.

proxyNamestringRead-onlyOptional

environment_name is the name of the environment under which the schedule should be created.

runbookIdstringRequired

runbook_id is the id of the runbook under which the schedule should be created.

runbookNamestringRequired

runbook_name is the name of the runbook under which the schedule should be created.

inputSchemastringOptional

input_schema is the workflow's input schema.

paramsstringOptional

params are params for creating a calendar.

schedulestringRequired
lastRunstring · date-timeRead-onlyOptional

last_run captures the time it was last run.

lastUpdatedstring · date-timeRead-onlyOptional

last_updated captures the time it was last updated.

userEmailstringRead-onlyOptional
Responses
200

A successful response.

application/json

UpdateScheduleResponse is the response to the UpdateScheduleRequest.

patch/v1alpha1/schedules/{scheduleId}
PATCH /v1alpha1/schedules/{scheduleId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "proxyId": "text",
  "runbookId": "text",
  "runbookName": "text",
  "inputSchema": "text",
  "params": "text",
  "schedule": "text"
}
{
  "respHdr": {
    "tid": "text",
    "requestTid": "text"
  },
  "schedule": {
    "id": "text",
    "proxyId": "text",
    "proxyName": "text",
    "runbookId": "text",
    "runbookName": "text",
    "inputSchema": "text",
    "params": "text",
    "schedule": "text",
    "lastRun": "2026-01-01T00:00:00.000Z",
    "lastUpdated": "2026-01-01T00:00:00.000Z",
    "userEmail": "text"
  }
}

Last updated

Was this helpful?